/*
 * Slawas.pl Copyright &copy; 2011-2012 
 * http://slawas.pl 
 * All rights reserved.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
 * NO EVENT SHALL SŁAWOMIR CICHY BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package org.scbpm.integrations;

import org.jdom.Element;
import org.scbpm.lib.api.EhCacheProviderFactory;
import org.scbpm.lib.cache.core.ObjectCacheErrorException;
import org.scbpm.lib.ldap.exceptions.FactoryNewInstanceException;

/**
 * EhCacheProvider - zbiór metod integracyjnych dotyczących stanu pamięci
 * podręcznej.
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class EhCacheProvider {

	public static void removeCache(String name)
			throws FactoryNewInstanceException {
		EhCacheProviderFactory.getFactory().getNewInstance().removeCache(name);
	}

	public static void clearCache(String name)
			throws FactoryNewInstanceException {
		try {
			EhCacheProviderFactory.getFactory().getNewInstance().getCache(name)
					.clear();
		} catch (ObjectCacheErrorException e) {
			throw new FactoryNewInstanceException(e);
		}
	}
	
	public static Element getAllStatistics(Integer maxRecords)
			throws FactoryNewInstanceException {
		return EhCacheProviderFactory.getFactory().getNewInstance()
				.getAllStatistics(maxRecords);
	}
}
