/*
 * Slawas.pl Copyright &copy; 2011-2012 
 * http://slawas.pl 
 * All rights reserved.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
 * NO EVENT SHALL SŁAWOMIR CICHY BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package org.scbpm.integrations;

import org.scbpm.lib.api.GroupSearcherFactory;
import org.scbpm.lib.ldap.exceptions.FactoryNewInstanceException;

/**
 * GroupSearcher
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class GroupSearcher {

	/**
	 * Wyszukiwanie w bazie danych IBM BPM na podstawie kryteriów zadanych w
	 * postaci filtra LDAP.
	 * 
	 * @see org.scbpm.lib.core.search.GroupSearcher
	 * 
	 * @param searchFilter
	 *            kryterium wyszukiwania w postaci filtra LDAP
	 * @param maxRecords
	 *            maksymalna liczba rekordów zwrócona w wyniku.
	 * @param returnType
	 *            typ do jakiego ma być skonwertowany wynik
	 * @return wynik odpowiedniego typu
	 * @throws Exception
	 */
	public static Object serachInBpm(String searchFilter, Integer maxRecords,
			String returnType) throws Exception, FactoryNewInstanceException {
		return GroupSearcherFactory.getFactory().getNewInstance()
				.serachInBpm(searchFilter, maxRecords, returnType);
	}

	/**
	 * Wyszukiwanie w bazie danych IBM BPM na podstawie kryteriów zadanych w
	 * postaci filtra LDAP.
	 * 
	 * @param searchFilter
	 *            kryterium wyszukiwania w postaci filtra LDAP
	 * @param maxRecords
	 *            maksymalna liczba rekordów zwrócona w wyniku.
	 * @param returnType
	 *            typ do jakiego ma być skonwertowany wynik
	 * @param userName
	 *            Nazwa użytkownika. Dodatkowe kryterium na podstawie, którego
	 *            lista wyszukiwanych grup zostanie ograniczona do grup danego
	 *            użytkownika. Może przyjąć wartość pustą.
	 * @return wynik odpowiedniego typu
	 * @throws Exception
	 */
	public Object serachInBpm(String searchFilter, Integer maxRecords,
			String returnType, String userName) throws Exception {

		return GroupSearcherFactory.getFactory().getNewInstance()
				.serachInBpm(searchFilter, maxRecords, returnType, userName);
	}

}
