/*
 * Slawas.pl Copyright &copy; 2011-2012 
 * http://slawas.pl 
 * All rights reserved.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
 * NO EVENT SHALL SŁAWOMIR CICHY BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package org.scbpm.integrations;

import org.jdom.Element;

/**
 * Log4jConfigurator
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class Log4jConfigurator {

	/**
	 * Resetowanie konfiguracji/przywracanie ustawień domyślnych. W tym
	 * przypadku parametrów znajdujących się w aktualnej bibliotece w pliku
	 * log4j.properties.
	 */
	public static void resetLog4jConfiguration() {
		org.scbpm.lib.log.Log4jConfigurator.resetLog4jConfiguration();
	}

	/**
	 * Restartowanie/przeładowanie konfiguracji logger'a.
	 */
	public static void restartLog4jConfiguration() {
		org.scbpm.lib.log.Log4jConfigurator.restartLog4jConfiguration();
	}

	/**
	 * Ustawianie/aktualizacja wartości parametru konfiguracyjnego o podanej
	 * nazwie.
	 * 
	 * @param propertyName
	 *            nazwa parametru konfiguracyjnego
	 * @param value
	 *            wartość parametru
	 */
	public static void updateLog4jConfiguration(String propertyName,
			String value) {
		org.scbpm.lib.log.Log4jConfigurator.updateLog4jConfiguration(
				propertyName, value);
	}

	/**
	 * Załadowanie parametrów konfiguracji logger'a w celu ich prezentacji.
	 * 
	 * @return element XML zawierający dane o parametrach konfiguracyjnych
	 *         logger'a.
	 * @throws Exception
	 */
	public static Element loadLog4jConfiguration() throws Exception {
		return org.scbpm.lib.log.Log4jConfigurator.loadLog4jConfiguration();
	}

}
